=== debian/changelog ===
nplan (0.12) yakkety; urgency=medium

  * netplan apply: Ignore Non-symlinks in /sys/class/net
  * tests/integration.py: Stop upping client veth interfaces
  * Add support for bonds

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 30 Aug 2016 10:32:17 +0200

nplan (0.11.1) yakkety; urgency=medium

  * tests/integration.py: Clean up wpa_supplicant in between tests

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 30 Aug 2016 07:21:02 +0200

nplan (0.11) yakkety; urgency=medium

  * Support /lib/netplan/*.yaml files.
    This is useful for configuration snippets shipped by packages.
  * Add networkd support for wifi (LP: #1616928)
    networkd cannot handle wifi natively, so generate a wpa_supplicant
    configuration and unit that does the WLAN part and leave the IP part to
    networkd.
    This supports open and WPA2, and infrastructure and adhoc mode. "match:" is not
    supported as the netplan-wpa@.service helper unit is bound to the named network
    interface device unit.
  * As networkd can now handle wifi devices, use networkd consistently as a default
    renderer.
  * tests/integration.py: Kill leftover NetworkManager processes between tests.
    NetworkManager.service has KillMode=process and leaks dhclient processes.
  * Fix package description for updated yaml paths

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 29 Aug 2016 17:25:33 +0200

nplan (0.10) yakkety; urgency=medium

  * Add "netplan ifupdown-migrate" command.
    This supports converting "loopback" (no-op) and "dhcp" interfaces (without
    options) for now.
  * Add "dhcp6:" option
  * Add "gateway[46]:" options
  * Ship empty /etc/netplan in the package
  * NM: Explicitly disable implied DHCP default when DHCP is not enabled.
    (LP: #1617051)
  * tests/integration.py: Quiesce systemd-networkd-wait-online.
  * Add support for VLAN.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 28 Aug 2016 21:25:45 +0200

nplan (0.9) yakkety; urgency=medium

  * tests/integration.py: Improve debug messages on failure
  * netplan apply: disconnect devices from NetworkManager before restarting.
    Merely restarting NetworkManager does not suffice to apply a changed
    configuration, so disconnect managed devices first.
    Add autopkgtest to reproduce the problem and confirm the fix.
  * Fix configuration path in package description
  * networkd: Change generated config file prefix to "10-netplan"
    Just "netplan-*" sorts after /lib/systemd/network/99-default.link.
  * netplan apply: Force-replug network devices which are down to apply renames.
    Unbind/rebind network devices from their driver to simulate a hotplug, so
    that device renames get applied. Don't do this for devices which are up
    (or "unknown") though, to avoid disrupting existing network connections.
  * tests/integration.py: Add workaround for NM "unmanaged-devices="
    mishandling (LP #1615044)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 19 Aug 2016 19:10:33 +0200

nplan (0.8) yakkety; urgency=medium

  * tests/cli.py: Test "generate" more precisely
  * Let "make coverage" fail if coverage is < 100%
  * Support /run/netplan/*.yaml files.
    This is useful if you want to try out a new network config before
    "committing" it to /etc: if your remote server is still reachable after
    "apply", you copy the files to /etc; otherwise rebooting will go back to
    the known-good state.
  * If global renderer is set to NM, allow NM to manage all devices.
    By default, NetworkManager only manages wifi and wwan devices (via
    /usr/lib/NetworkManager/conf.d/10-globally-managed-devices.conf). If
    global renderer is set to NetworkManager, disable that file in /run so
    that NM will once again manage all devices. This should be configured on
    desktop systems.
  * netplan apply: Asynchronously restart networkd/NM.
    This avoids deadlocks when calling "apply" during the boot sequence.
    (LP: #1614061)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Aug 2016 16:03:33 +0200

nplan (0.7) yakkety; urgency=medium

  * tests/cli.py: Fix TestGenerate to not depend on installed netplan

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Aug 2016 16:39:11 +0200

nplan (0.6) yakkety; urgency=medium

  * Enable systemd-networkd-wait-online when starting networkd (LP: #1613548)
  * networkd: Prefix generated files with "netplan-"
  * generate: Clean up obsolete generated configs (LP: #1608223)
  * Prefer pycodestyle over pep8
  * Add initial "netplan" CLI. This implements commands "generate" and "apply"
    (partially) for now.
  * tests/integration.py: Use systemd-networkd-wait-online instead of polling
  * netplan.5: Add missing NAME section

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Aug 2016 16:23:02 +0200

nplan (0.5) yakkety; urgency=medium

  * Recognize booean values as per YAML spec (LP: #1606839)
  * Add explicit systemd test dependency
  * networkd: Disable LinkLocalAddressing and RA for bridge components
  * Move "generate" from a systemd unit to a systemd generator
  * Automatically start networkd iff there is any networkd configuration
    (LP: #1607693)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Aug 2016 17:27:54 +0200

nplan (0.4) yakkety; urgency=medium

  * tests/integration.py: Avoid stderr output on reset-failed
  * Document configuration (man, html)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 29 Jul 2016 10:45:33 +0200

nplan (0.3) yakkety; urgency=medium

  * Properly terminate wifi_access_point_handlers list

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Jul 2016 21:57:26 +0200

nplan (0.2) yakkety; urgency=medium

  * Fix unstable TestConfigArgs.test_file_args() test
  * Add license/copyright headers to all source files

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Jul 2016 16:29:26 +0200

nplan (0.1) yakkety; urgency=medium

  * Initial release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Jul 2016 16:14:37 +0200
