## nplan 0.14%7e16.04

=== debian/changelog ===
nplan (0.14~16.04) xenial; urgency=medium

  * Update to 0.14 for xenial.
  * tests/integration.py: Re-enable search domain check, that fix landed in
    xenial.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 09 Nov 2016 17:00:31 +0100

nplan (0.14) zesty; urgency=medium

  * tests/generate.py: Introduce macros for commonly expected networkd output
  * networkd: Use NetworkManager compatible DHCP route metrics (LP: #1639754)
  * doc/netplan.md: Fix wrong wifi reference in "br0" example
  * doc/netplan.md: Clarify introduction
  * tests/integration.py: Fix race condition with waiting for networkd

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 09 Nov 2016 16:57:49 +0100

nplan (0.13~16.04) xenial; urgency=medium

  [ Martin Pitt ]
  * Update to 0.13.
  * tests/integration.py: Disable search domain check in /etc/resolv.conf with
    networkd, until this gets fixed in systemd (see LP: #1635256)

  [ Simon Fels ]
  * src/netplan: Use absolute path to the nmcli utility provided by the
    network-manager snap. Contributes to LP #1633004.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 20 Oct 2016 16:44:36 +0200

nplan (0.13) zesty; urgency=medium

  [ Jonathan Cave ]
  * Blacklist mwifiex_pcie from rebinds (work around LP: #1630285)

  [ Martin Pitt ]
  * Add support for nameservers (LP: #1626617)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 20 Oct 2016 16:23:58 +0200

nplan (0.12~16.04) xenial; urgency=medium

  [ Martin Pitt ]
  * Backport to xenial. (LP: #1627641)
  * Adjust Breaks: network-manager to version in xenial that provides the
    "read config from /run" functionality.
  * src/netplan: Add hack to support current NetworkManager snap, which
    currently cannot provide "nmcli" and "NetworkManager.service". Note that
    this is meant to be temporary until snapd gets fixed, and will NOT be
    applied to yakkety or upstream. Patch by Simon Fels.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Sep 2016 11:06:57 +0200
