=== debian/control ===
Source: nplan
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: net
Priority: standard
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
 pkg-config,
 libyaml-dev,
 libglib2.0-dev,
 uuid-dev,
 python3 (>= 3.1),
 python3-coverage,
 python3-yaml,
 systemd,
 pyflakes3,
 pycodestyle | pep8,
 pandoc,
Vcs-Git: https://git.launchpad.net/~netplan-developers/netplan
Vcs-Browser: https://git.launchpad.net/~netplan-developers/netplan

Package: nplan
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
 ${misc:Depends},
 systemd,
 python3,
 python3-yaml,
Suggests: network-manager | wpasupplicant
Breaks: network-manager (<< 1.2.2-0ubuntu0.16.04.2~)
Description: YAML network configuration abstraction for various backends
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
