## nplan 0.18

=== debian/changelog ===
nplan (0.18) zesty; urgency=medium

  * debian/tests/integration.py: in some cases 'iw reg get' may qualify the
    reg domain results with 'global'; we must not let that trip up tests when
    they are run on Ubuntu infrastructure vs. local tests.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 07 Feb 2017 11:12:37 -0500

nplan (0.17) zesty; urgency=medium

  * New release:
    - Add support for configuring bonds.
    - Add support for configuring bridges.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 01 Feb 2017 18:35:45 -0500
