## nplan 0.19

=== debian/changelog ===
nplan (0.19) zesty; urgency=medium

  * Add support for unordered definition of network devices: you can now
    specify a virtual devices before their member devices. (LP: #1670495)
  * Allow setting up the STP state for a bridge. (LP: #1665088)
  * Document bond/bridge parameters support. (LP: #1664702)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 09 Mar 2017 11:04:50 -0500
