## nplan 0.20

=== debian/changelog ===
nplan (0.20) zesty; urgency=medium

  * tests/integration.py: increase timeout for integration tests (networkd and
    NetworkManager "wait-online" checks) to account for longer bring-up times
    when dealing with stacked virtual devices.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 04 Apr 2017 21:26:01 -0400
