=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  python3,
  python3-yaml,
 Suggests: network-manager | wpasupplicant
-Breaks: network-manager (<< 1.2.2-0ubuntu0.16.04.2~)
+Breaks: network-manager (<< 1.2.2-0ubuntu4~)
 Description: YAML network configuration abstraction for various backends
  netplan reads YAML network configuration files which are written
  by administrators, installers, cloud image instantiations, or other OS
