## nplan 0.32~16.04.7

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,11 @@
+PREFIX ?= /usr
+SBINDIR ?= $(PREFIX)/sbin
+LIBEXECDIR ?= $(PREFIX)/lib
+
 BUILDFLAGS = \
 	-std=c99 \
 	-D_XOPEN_SOURCE=500 \
+	-DSBINDIR=\"$(SBINDIR)\" \
 	-Wall \
 	-Werror=incompatible-pointer-types \
 	-Werror=implicit-function-declaration \
@@ -9,14 +14,18 @@
 
 SYSTEMD_GENERATOR_DIR=$(shell pkg-config --variable=systemdsystemgeneratordir systemd)
 
-PYCODE = src/netplan $(wildcard src/*.py) $(wildcard tests/*.py)
+PYCODE = src/netplan $(wildcard src/*.py) $(wildcard tests/*.py)  $(wildcard tests/dbus/*.py)
 
-default: generate doc/netplan.5 doc/netplan.html
+default: generate doc/netplan.5 doc/netplan.html netplan-dbus dbus/io.netplan.Netplan.service
 
 generate: src/generate.[hc] src/parse.[hc] src/util.[hc] src/networkd.[hc] src/nm.[hc]
 	$(CC) $(BUILDFLAGS) $(CFLAGS) -o $@ $(filter %.c, $^) `pkg-config --cflags --libs glib-2.0 yaml-0.1 uuid`
 
+netplan-dbus: src/dbus.c
+	$(CC) $(BUILDFLAGS) $(CFLAGS) -o $@ $^ `pkg-config --cflags --libs libsystemd glib-2.0`
+
 clean:
+	rm -f netplan-dbus dbus/*.service
 	rm -f generate doc/*.html doc/*.[1-9]
 	rm -rf test-coverage .coverage
 
@@ -48,6 +57,14 @@
 	install -m 644 doc/*.html $(DESTDIR)/usr/share/doc/netplan/
 	install -m 644 doc/*.5 $(DESTDIR)/usr/share/man/man5/
 	install -D -m 644 src/netplan-wpa@.service $(DESTDIR)/`pkg-config --variable=systemdsystemunitdir systemd`/netplan-wpa@.service
+	# dbus
+	mkdir -p $(DESTDIR)/usr/share/dbus-1/system.d $(DESTDIR)/usr/share/dbus-1/system-services
+	install -m 755 netplan-dbus $(DESTDIR)/lib/netplan/
+	install -m 644 dbus/io.netplan.Netplan.conf $(DESTDIR)/usr/share/dbus-1/system.d/
+	install -m 644 dbus/io.netplan.Netplan.service $(DESTDIR)/usr/share/dbus-1/system-services/
+
+%.service: %.service.in
+	sed -e "s#@ROOTLIBEXECDIR@#/lib#" $< > $@
 
 %.html: %.md
 	pandoc -s --toc -o $@ $<
