=== debian/changelog ===
nplan (0.32~16.04.7) xenial; urgency=medium

  * Backport DBus support to 16.04. (LP: #1842511)
  * debian/control: add libsystemd-dev to Build-Depends, required for this new
    DBus support.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 05 Sep 2019 12:58:36 -0400

nplan (0.32~16.04.6) xenial; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * tests/integration.py: Fix autopkgtests involving bonds/bridges to do proper
    cleanup every time, so later tests don't unnecessarily wait for an
    interface not configured to be up. (LP: #1775097)

  [ Daniel Axtens ]
  * Generate udev rules files to rename devices (LP: #1770082)
    Due to a systemd issue[1], using link files to rename interfaces
    doesn't work as expected. Link files will not rename an interface
    if it was already renamed, and interfaces are renamed in initrd, so
    set-name will often not work as expected when rebooting. However,
    rules files will cause a renaming, even if the interface has been
    renamed in initrd.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 03 Jul 2018 12:55:11 -0400

nplan (0.32~16.04.5) xenial; urgency=medium

  * bond/bridge: Support suffixes for time-based values so things like
    "mii-monitor-interval" can support milliseconds. (LP: #1745597)
  * Do not attempt to rebind driver 'qeth'. (LP: #1756322)
  * Allow setting ClientIdentifier=mac for networkd-renderered devices
    (LP: #1738998)
  * IPv6: accept-ra should default to being unset, so that the kernel default
    can be used. (LP: #1732002)
  * doc/netplan.md: Clarify the behavior for time-based values for bonds
    and bridges. (LP: #1756587)
  * critical: provide a way to set "CriticalConnection=true" on a networkd
    connection, especially for remote-fs scenarios. (LP: #1769682)
  * networkd: don't wipe out /run/netplan on generate: we do want to keep any
    YAML configurations in that directory, we just need to remove generated
    wpasupplicant configs. (LP: #1764869)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 08 May 2018 10:36:24 -0400

nplan (0.32~16.04.4) xenial; urgency=medium

  [ Oliver Grawert ]
  * Prevent unbinding ath6kl_sdio, driver does not support it correctly.
    (LP: #1741910)

  [ Mathieu Trudel-Lapierre ]
  * Re-add snap support patch. (LP: #1747714)
  * Fix syntax for IPv6 addresses in doc. (LP: #1735317)
  * doc: routes are not top-level but per-interface. (LP: #1726695)
  * Implement bridge port-priority parameter. (LP: #1735821)
  * Implement "optional: true" to correctly write systemd network definitions
    with "RequiredForOnline=false", such that these networks do not block boot.
    (LP: #1664844)
  * Various documentation fixes. (LP: #1751814)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 02 Mar 2018 17:02:03 -0500

nplan (0.32~16.04.3) xenial; urgency=medium

  * tests/integration.py: Really fix skipping test_routes_v6 for the NM
    backend.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 04 Dec 2017 10:57:34 -0500

nplan (0.32~16.04.2) xenial; urgency=medium

  * tests/integration.py: Fix test_routes_v6 that I clobbered when I re-applied
    the skip rules for 16.04 after merging in 0.32.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 28 Nov 2017 11:53:55 -0500

nplan (0.32~16.04.1) xenial; urgency=medium

  * Backport netplan 0.32 to 16.04. (LP: #1713142)
  * debian/control: Depend on systemd (>= 229-4ubuntu20) for the PrimarySlave
    feature backported in that revision.
  * tests/integration.py: Skip tests that are still not yet supported in xenial

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 16 Nov 2017 10:13:28 -0500

nplan (0.32) bionic; urgency=medium

  * src/nm.c: better handle the UUID generation; the order of iterating
    through interaces may affect things here. Also make sure the tests catch
    a null UUID.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 14 Nov 2017 08:53:51 -0500

nplan (0.31) bionic; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * src/nm.c: generate a UUID for a connection only as needed; when we're
    dealing with NM VLANs. (LP: #1712921)
  * debian/tests/autostart: Make the autostart test more verbose and avoid
    failing right from the start when systemd-networkd is disabled.
    (LP: #1699371)
  * tests/integration.py: bump the NetworkManager timeout for settling to
    120 seconds, autopkgtest infrastructure tends to be a little slow for the
    network device configuration to be applied and noticed by NM.
    (LP: #1699371)

  [ Dimitri John Ledkov ]
  * Reload udevd to invalidate configuration cache of .rules/.link files
    as generate step may have changed them. LP: #1669564

  [ Dan Streetman ]
  * Add another interface driver exception to netplan replug to prevent unbind
    of the Xen VIF interfaces. (LP: #1729573)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 08 Nov 2017 14:02:39 -0500
