=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: nplan
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Section: net
-Priority: standard
+Priority: important
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
  pkg-config,
@@ -11,6 +11,7 @@
  python3 (>= 3.1),
  python3-coverage,
  python3-yaml,
+ libsystemd-dev,
  systemd,
  pyflakes3,
  pycodestyle | pep8,
@@ -23,7 +24,7 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- systemd,
+ systemd (>= 229-4ubuntu20),
  python3,
  python3-yaml,
 Suggests: network-manager | wpasupplicant
