## nplan 0.32~17.04.1

=== debian/changelog ===
nplan (0.32~17.04.1) zesty; urgency=medium

  * Backport 0.32 to 17.04. (LP: #1713142)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 16 Nov 2017 10:43:28 -0500
