=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  python3 (>= 3.1),
  python3-coverage,
  python3-yaml,
- libsystemd-dev,
  systemd,
  pyflakes3,
  pycodestyle | pep8,
@@ -24,7 +23,7 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- systemd (>= 229-4ubuntu20),
+ systemd,
  python3,
  python3-yaml,
 Suggests: network-manager | wpasupplicant
